﻿<%@ Page Language="C#" MasterPageFile="~/PDAMain.Master" AutoEventWireup="true" CodeBehind="pda_Diagram.aspx.cs" Inherits="Keysystems.Web.MCUB.pda_Diagram" Title="Мобильный центр управления бюджетом - Диаграммы" Theme="PDA" %>

<%@ Register assembly="Infragistics35.WebUI.UltraWebChart.v10.2, Version=10.2.20102.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebChart" TagPrefix="igchart" %>
<%@ Register assembly="Infragistics35.WebUI.UltraWebChart.v10.2, Version=10.2.20102.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Resources.Appearance" tagprefix="igchartprop" %>
<%@ Register assembly="Infragistics35.WebUI.UltraWebChart.v10.2, Version=10.2.20102.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.UltraChart.Data" tagprefix="igchartdata" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
    <asp:Label ID="lblTitle" runat="server" EnableViewState="False" Font-Bold="True" class="DiagramName"></asp:Label>
    <div>
        <asp:PlaceHolder ID="pers" runat="server" EnableViewState="False"></asp:PlaceHolder>
    </div>
    <igchart:UltraChart ID="UltraChart1" runat="server" BackgroundImageFileName="" 
        ChartType="SplineChart" 
        EmptyChartText="Нет данных для построения диаграммы" Height="220px" 
        Version="10.2" Width="220px">

        <Tooltips BorderThickness="0" Display="Never" Font-Bold="False" 
            Font-Italic="False" Font-Overline="False" Font-Strikeout="False" 
            Font-Underline="False" />
        <Border Thickness="0" />

        <TitleLeft HorizontalAlign="Center" Text="Млн.руб." Visible="True">
        </TitleLeft>

<ColorModel ModelStyle="CustomLinear" AlphaLevel="150"></ColorModel>
        <effects>
            <effects>
                <igchartprop:GradientEffect />
            </effects>
        </effects>
        <Axis>
            <PE ElementType="None" Fill="Cornsilk" />
            <X Extent="60" LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" 
                Visible="True">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                    ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="VerticalLeftFacing" 
                    VerticalAlign="Center">
                    <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" FormatString="" 
                        HorizontalAlign="Near" Orientation="VerticalLeftFacing" VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </X>
            <Y Extent="50" LineThickness="1" TickmarkInterval="20" TickmarkStyle="Smart" 
                Visible="True">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels HorizontalAlign="Far" ItemFormatString="&lt;DATA_VALUE:#,##0,,.00&gt;" 
                    Orientation="Horizontal" VerticalAlign="Center">
                    <SeriesLabels HorizontalAlign="Near" Orientation="Horizontal" 
                        VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </Y>
            <Y2 LineThickness="1" TickmarkInterval="20" TickmarkStyle="Smart" 
                Visible="False">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                    ItemFormatString="&lt;DATA_VALUE:00.##&gt;" Orientation="Horizontal" 
                    VerticalAlign="Center">
                    <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" FormatString="" 
                        HorizontalAlign="Near" Orientation="Horizontal" VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </Y2>
            <X2 LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" 
                Visible="False">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Far" 
                    ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="VerticalLeftFacing" 
                    VerticalAlign="Center">
                    <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" FormatString="" 
                        HorizontalAlign="Far" Orientation="VerticalLeftFacing" VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </X2>
            <Z LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" Visible="False">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                    ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="Horizontal" 
                    VerticalAlign="Center">
                    <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                        Orientation="Horizontal" VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </Z>
            <Z2 LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" 
                Visible="False">
                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                    Thickness="1" Visible="True" />
                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                    Thickness="1" Visible="False" />
                <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                    ItemFormatString="" Orientation="Horizontal" VerticalAlign="Center">
                    <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                        Orientation="Horizontal" VerticalAlign="Center">
                        <Layout Behavior="Auto">
                        </Layout>
                    </SeriesLabels>
                    <Layout Behavior="Auto">
                    </Layout>
                </Labels>
            </Z2>
        </Axis>
        <SplineChart MidPointAnchors="False">
        </SplineChart>
    </igchart:UltraChart>
    <br />
    <div>
        Тип диаграммы: <asp:PlaceHolder ID="ctypes" runat="server" EnableViewState="False"></asp:PlaceHolder>
    </div>
    <br />
    &nbsp;<asp:HyperLink ID="hlBack" runat="server" ImageUrl="~/images/PDA/back.png">Назад</asp:HyperLink>
</asp:Content>
