﻿<%@ Page Language="C#" MasterPageFile="~/DeskWide.Master" AutoEventWireup="true" CodeBehind="DocList.aspx.cs" Inherits="Keysystems.Web.MCUB.DocList" Title="Список документов" Theme="Desktop" EnableViewState="False" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server" EnableViewState="false">
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server" EnableViewState="false">
    <script type="text/javascript">
        var per_on_start='<asp:Literal ID="per_on_start" runat="server" EnableViewState="False"></asp:Literal>';
        var purl='<asp:Literal ID="pagesturl" runat="server" EnableViewState="False"></asp:Literal>';
        function tostart(st,per)
        {
        	var ftxt = document.getElementById("<%= inputfilt.ClientID %>").value;
            top.OpenInBlockMiddle(purl+'&pagest='+st+'&per='+per+'&filt='+escape(ftxt));
        }
        function toper(per)
        {
        	var ftxt = document.getElementById("<%= inputfilt.ClientID %>").value;
            top.OpenInBlockMiddle(purl+'&per='+per+'&filt='+escape(ftxt));
        }
        function onfiltchange()
        {
            var ftxt = document.getElementById("<%= inputfilt.ClientID %>").value;
            top.OpenInBlockMiddle(purl+'&per='+per_on_start+'&filt='+escape(ftxt)+'&pagest='+0);
        }
        function onfiltkeydown(e)
        {
            if (!e) e=window.event;
            if(e.keyCode==13)
            {
                onfiltchange();
            }
        }

        _cert_dates=new Array();
        var XCrypt=null;
        var dialog=null;
        var cert=null;
        var cert_result=null;
        var base=$('input[name=docmarker_base]').val();
        var docCode=$('input[name=docmarker_docCode]').val();
        var timesecret=<asp:Literal id="signdoc_timesecret" runat="server"></asp:Literal>;

        function docmarker_button_sign()
        {
//            try{
                XCrypt = document.createElement("object");
                
                dialog = document.createElement("div");
                dialog.setAttribute("id","dialog");
                dialog.setAttribute("title","Подпись");
                dialog.setAttribute("style","text-align:left");
                dialog.innerHTML = "<b>Сертификат:</b><br />";

                cert = document.createElement("select");
                cert.setAttribute("id","cert");
                dialog.appendChild(cert);

                dialog.appendChild(document.createElement("br"));

                cert_result = document.createElement("div");
                cert_result.setAttribute("style","text-align:left");
                cert_result.setAttribute("id","cert_result");
/*
                cert_result = document.createElement("textarea");
                cert_result.setAttribute("id","cert_result");
                cert_result.setAttribute("cols","80");
                cert_result.setAttribute("rows","10");
                cert_result.setAttribute("style","width:100%");
*/
                dialog.appendChild(cert_result);
                document.appendChild(dialog);

                XCrypt.setAttribute("classid",'CLSID:D0D22E20-14C8-42AF-809C-38348F6DF428');
                XCrypt.setAttribute("codebase",'ocx/xcrypt.cab');
				var t = XCrypt.SelectCertificate('');

                if(!t)
                {
        	        window.alert('Сертификат не найден!');
        	        cert.style.display='none';
        	        return;
                }
                var lines = t.split('\r\n');
                for(var l in lines)
                {
                    var line = lines[l];
                    var pieces = line.split('\t');
                    var i=cert.length;
                    cert.length++;
                    cert.options(i).value=pieces[5];
                    var d0=new Date(parseInt(pieces[3]+'000'));
                    var d1=new Date(parseInt(pieces[4]+'000'));
                    _cert_dates[i]=new Array();
                    _cert_dates[i][0]=d0;
                    _cert_dates[i][1]=d1;
                    _cert_dates[i][2]=new Date(Math.min(timesecret*24*60*60*1000+d0.getTime(),parseInt(pieces[4]+'000')));
                    cert.options(i).text=pieces[0]+','+pieces[1]+'. выдан: '+pieces[2]+', действителен с '+d0.getDate()+'/'+d0.getMonth()+'/'+d0.getFullYear()+' по '+d1.getDate()+'/'+d1.getMonth()+'/'+d1.getFullYear();
                }
				$(dialog).dialog({
					autoOpen: true,
					width: 600,
					height: 400,
					modal: true,
					buttons: {
						"Подписать": function() {
							sign();
						}, 
						"Закрыть": function() {
							$(this).dialog("destroy");
						}
					},
					close: function(){$(this).dialog("destroy");}
				});
//	        } 
//	        catch(e) 
/*	        { 
	            window.alert(e.name+': '+e.message);
	        } 
*/        }
		function sign()
		{
		 try 
		 { 
            /*var cert = document.getElementById("cert");*/
		    var result_value = '';
		    var o = cert.options(cert.selectedIndex);
		    var now = new Date();
		    if(now<_cert_dates[cert.selectedIndex][0])
		    {
		        window.alert('Сертификат еще не актуален. Продолжение невозможно');
		        return;
		    }
		    if(now>_cert_dates[cert.selectedIndex][2])
		    {
		        window.alert('Срок действия закрытого ключа истёк. Продолжение невозможно');
		        return;
		    }
		    var dis = (_cert_dates[cert.selectedIndex][2].getTime()-now.getTime())/1000/60/60/24;
		    if(dis<14)
		    {
		        window.alert('До окончания срока действия закрытого ключа осталось '+parseInt(dis)+' сут.');
		    }
            var arr=[];
            var r = $("input[name=docmarker_link]:checked").each(function(){ arr.push($(this).val()) });

			var signer=o.value;
			
			var links = arr.join(',',arr);
			
			//$(cert_result).append('Пробуем получить текст для всех документов документа (docCode='+docCode+') с base='+base+'<br/>');
			
            $.ajax({url: 'AjaxHandler.aspx',
                    data: {act: 'sign_get_texts_xml', links: links, doc: docCode, db: base},
            			global: false,
            			success: function(d,t,x){
            			    var docs = $('doc', x.responseXML);
            			    var links=[];
            			    var signs=[];
            			    for(var i=0;i<docs.length;i++)
            			    {
            			        links[i] = $('lnk',docs[i]).text();
                			    signs[i] = XCrypt.Sign($('txt',docs[i]).text(),signer,0);
                            }
                            
            				$.ajax({url: 'AjaxHandler.aspx?act=sign_set_signs',
            						type: "POST",
            						data: {signs: signs.join(',',signs), links: links.join(',',links), doc: docCode, db: base},
            						global: false,
            						success: function(d,t,x){
										var rn = d.search(/\r\n/);
										if(rn!=-1)
										{
											var llnks = d.substr(0,rn);
											d=d.substr(rn+2);
											if(d.substr(0,4)=="OK\r\n")
											{
    											var links = llnks.split(",");
											    for(var p in links)
											    {
											        var lnk=links[p];
                                                    $("input[name=docmarker_link][value='"+lnk+"']:checked").attr("checked","");
                                                    docmarker_docs_count=$("input[name=docmarker_link]:checked").length;
                                                    docmarker_showcount();
											    }
											    d=d.substr(4);
                                            }											 
										    $(cert_result).html(d);
										}
										else
										{
											$(cert_result).html('<b>Некорректный ответ сервера</b><br/>');
										}
            						}
                            })
                        }
            });
/*            			
            			  var rn = d.search(/\r\n/);

						  if(rn!=-1)
						  {
							var llnk = parseInt(d.substr(0,rn));
							d=d.substr(rn+2);

            				$(cert_result).append(''+llnk+': Текст='+d+'<br/>');
            				
            				var sgn = XCrypt.Sign(d,signer,0);
            				
            				$.ajax({url: 'AjaxHandler.aspx?act=sign_set_sign&link='+llnk,
            						type: "POST",
            						data: {sign: sgn},
            						global: false,
            						success: function(d,t,x){
												var rn = d.search(/\r\n/);
												if(rn!=-1)
												{
													var llnk = parseInt(d.substr(0,rn));
													d=d.substr(rn+2);

            										if(d=="OK")
            										{
            											$(cert_result).append(llnk+': Успешно подписано<br/>');

            											$("input[name=docmarker_link][value='"+llnk+"']:checked").attr("checked","");

//			$(cert_result).append('можно и страницу перерисовать, чтоб было видно что подписано, а что нет!<br/>');
//			$(cert_result).scrollTop($(cert_result).height());

													}
													else
														$(cert_result).append(llnk+': '+d+'<br/>');
												
												}
												else
												{
													$(cert_result).append('Некорректный ответ сервера<br/>');
												}
            						}
								}
							);
						  }	
            			}
            		}	
            	);
            }
            docmarker_docs_count=$("input[name=docmarker_link]:checked").length;
            docmarker_showcount();
		 */
		 } 
		 catch(e) 
		 { 
		  window.alert(e.name+': '+e.message);
		 }
		}
		function docmarker_showcount()
		{
            if(docmarker_docs_count>0)
            {
                $('#docmarker_span').html("Выбрано документов: "+docmarker_docs_count+". "+"<input type='button' value='Подписать' onclick='docmarker_button_sign()' />");
            }else
            {
                $('#docmarker_span').html("");
            }
		}
        function docmarker_select(e)
        {
            var se;
            if (!e)
            {
                e=window.event;
                se=window.event.srcElement;
            }
            else
            {
                se=e.currentTarget;
            }
            
            if(se.checked)
                docmarker_docs_count++;
            else
                docmarker_docs_count--;
                
            if(docmarker_docs_count<0)docmarker_docs_count=0;

            docmarker_showcount();
        }
        var docmarker_docs_count=0;
    </script>

    <div style='width:auto'>
    <b><span class="title1">&nbsp;<asp:PlaceHolder ID="DOC1" runat="server" EnableViewState="False"></asp:PlaceHolder>&nbsp;</span></b>
    <br />
    <b>Фильтр</b>: <input type="text" runat="server" enableviewstate="false" id="inputfilt" onchange="onfiltchange()" onkeydown="onfiltkeydown()" />
    <div id='docmarker_span'>&nbsp;</div>
    <asp:PlaceHolder ID="DOC" runat="server" EnableViewState="False">
    </asp:PlaceHolder>
    </div>
</asp:Content>
