﻿<%@ Page Language="C#" MasterPageFile="~/PDAMain.Master" AutoEventWireup="true" CodeBehind="pda.iMap.aspx.cs" Inherits="Keysystems.Web.MCUB.pda_iMap" Title="Карта" Theme="PDA" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="Viewport" runat="server">
    <meta name="viewport" content="width=<%= Keysystems.Web.MCUB.Base.Vars.Viewport %>,minimum-scale=0.05,maximum-scale=1.0" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Content" runat="server">
	<form id="frm1" action="pda.MapMenu.aspx" method="get">
		<input type="hidden" name="x" value="0" />
		<input type="hidden" name="y" value="0" />
	</form>
    <asp:Literal ID="DOC" runat="server"></asp:Literal>
<div id="box" style="width:320px;height:320px;overflow:hidden;border:1px solid black">
<table id="tbl" border="0" cellspacing="0" cellpadding="0"></table>
</div>
<script type="text/javascript">
<asp:Literal ID="literalImages" runat="server"></asp:Literal>
</script>
<script type="text/javascript">
window.addEventListener('load', function(){
	setTimeout(scrollTo, 0, 0, 1);
	
	var b = document.getElementById('box'),t,
	 xbox=0,ybox=0,tts;

	 b.style.height=window.screen.availHeight-b.offsetTop+"px";

	var maplevel=0;
	RenderMap();
	ReloadImages();

function RenderMap()
{
	var tab="";
	tab+="<table id=\"tbl\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
	var yn=0;
	for(var y=0;y<images[maplevel][1];y+=250){
		var xn=0;
		tab+="<tr>";
		for(var x=0;x<images[maplevel][0];x+=250){
			var w=(images[maplevel][0]-x)>249?250:images[maplevel][0]%250,h=(images[maplevel][1]-y)>249?250:images[maplevel][1]%250;
			tab+="<td width=\""+w+"\" height=\""+h+"\" nowrap=\"nowrap\"><img width=\""+w+"\" height=\""+h+"\" id=\"map"+xn+yn+"\"/></td>";
			xn++;
		}
		tab+="</tr>";
		yn++;
	}
	tab+="</table>";
	tab+="<div id=\"divzoom\" style=\"position:absolute;display:none;left:0px;top:0px;border:1px solid black;background:white;width:34px;height:14px;padding:0 2px;z-index:40\">123</div>";
	tab+="<div id=\"cursor\" style=\"position:absolute;display:none;left:100px;top:120px;border:1px solid black;background:red;width:3px;height:3px;z-index:20\" />";
	b.innerHTML=tab;

	t=document.getElementById('tbl');
	var dz=document.getElementById('divzoom');
	dz.style.top=(t.offsetTop-1)+"px";
	dz.style.left=(b.clientWidth-36)+"px";
	dz.innerText=""+parseInt(100*images[maplevel][0]/images[images.length-1][0])+"%";
	dz.style.display="block";

	t.isclick=false;

	t.addEventListener('touchstart', function(event) {
		xbox=event.targetTouches[0].pageX;
		ybox=event.targetTouches[0].pageY;
		tts=event.targetTouches;
		event.preventDefault();
		t.isclick=true;
	}, false); 

	t.addEventListener('touchend', function(event) {
		if(t.isclick){
			var cx=(b.scrollLeft+(xbox-b.offsetLeft))*servmapWidth/images[maplevel][0];
			var cy=(b.scrollTop+(ybox-b.offsetTop))*servmapHeight/images[maplevel][1];
			cursor.style.left=(xbox-2)+"px";
			cursor.style.top=(ybox-2)+"px";
			cursor.style.display="block";
			document.forms['frm1']['x'].value = parseInt(cx);
			document.forms['frm1']['y'].value = parseInt(cy);
			document.forms['frm1'].submit();
		}	
	}, false); 

	t.addEventListener('touchmove', function(event) {
		t.isclick=false;
		if(event.touches.length>1)return;
		if(xbox)
		{
			b.scrollLeft+=xbox-event.targetTouches[0].pageX;
			b.scrollTop+=ybox-event.targetTouches[0].pageY;
		}
		xbox=event.targetTouches[0].pageX;
		ybox=event.targetTouches[0].pageY;
		event.preventDefault();
		cursor.style.display="none";
		ReloadImages();
	}, false);

	t.addEventListener('gestureend', function(event) {
		var oldmaplevel=maplevel;
	 	event.preventDefault();
	 	if(event.scale>1 && maplevel<(images.length-1)) maplevel++;
	 	else if(event.scale<1 && maplevel>0) maplevel--;
	 	else return;

		var midx=0,midy=0;
		if(tts.length>0)
		{
			for(var nt=0;nt<tts.length;nt++)
			{
				midx+=tts[nt].pageX;
				midy+=tts[nt].pageY;
			}
			midx=parseInt(midx/tts.length-b.offsetLeft);
			midy=parseInt(midy/tts.length-b.offsetTop);
		}

	 	var newx=(b.scrollLeft+midx)*images[maplevel][0]/images[oldmaplevel][0]-b.clientWidth/2;
	 	var newy=(b.scrollTop+midy)*images[maplevel][1]/images[oldmaplevel][1]-b.clientHeight/2;

	 	RenderMap();

	 	b.scrollLeft=newx;
	 	b.scrollTop=newy;

	 	ReloadImages();
	 	window.setTimeout(ReloadImages, 100);
	 	window.setTimeout(ReloadImages, 500);
	}, false);
}

 function ReloadImages()
 {
 	var ix0=parseInt(b.scrollLeft/250);
 	var ix1=parseInt((b.scrollLeft+Math.min(b.clientWidth,images[maplevel][0]))/250);
 	var iy0=parseInt(b.scrollTop/250);
 	var iy1=parseInt((b.scrollTop+Math.min(b.clientHeight,images[maplevel][1]))/250);

 	for(var ix=ix0;ix<=ix1;ix++)
 	{
	 	for(var iy=iy0;iy<=iy1;iy++)
	 	{
			var imgid="map"+ix+iy;
			var imgsrc=images[maplevel][2][ix][iy];
			var img=document.getElementById(imgid);

			img.src = imgsrc;

			if(!img.loaded)
			{
				img.src = imgsrc;
				if(!img.evload){
					img.addEventListener('load', function(event) {
						this.loaded=1;
					}, false);
					img.evload=1;
				}
			}
	 	}
 	}
 }
 
}, false);
</script>
</asp:Content>
